/*
 * direction can be "int" OR "ext"
 * name will be the name of the link
 * step can be "scroll" OR "new_page" OR "intent" OR "continue" "single_step"
 * type can be "main_menu" OR "products" OR "social" etc...
 * subType is the retailer for "products" only
 * */
function trackLink(direction, name, step, type, subtype) {

    /*check if internal or exit link*/
    /*internal link*/
    if (direction === "int") {

    	if (step === "gallery_click") {
            digitalData["event"] = digitalData["event"] || [];
            digitalData["event"].push({
                eventInfo: {
                    eventName: "gallery_click",
                    timeStamp: new Date()
                },
                attributes: {
                    linkName: name,
                    linkPrimaryCategory: type,
                    linkSubCategory1: subtype || "",
                    /*only needed for products*/
                }
            });
            _satellite.track(step);
        }

        else if (step === "new_page") {
            /*link takes user to new page so a cookie write can work*/
            var cValue = _satellite.getVar('page_pageinfo_pagename') + "|" + type + ":" + name;
            analyticsCookieWrite("s_ln", cValue, 30);
        } else if (step === "scroll") {
            /*scroll link, so must track now*/
            digitalData["event"] = digitalData["event"] || [];
            digitalData["event"].push({
                eventInfo: {
                    eventName: "scroll_link",
                    timeStamp: new Date()
                },
                attributes: {
                    internalLinkName: _satellite.getVar('page_pageinfo_pagename') + "|" + type + ":" + name
                }
            });
            _satellite.track("scroll_link");
        }
    } else if (direction === "ext") {
        /*exit link*/
        digitalData["event"] = digitalData["event"] || [];
        digitalData["event"].push({
            eventInfo: {
                eventName: "exit",
                timeStamp: new Date()
            },
            attributes: {
                linkName: name,
                linkPrimaryCategory: type,
                linkSubCategory1: subtype || "",
                /*only needed for products*/
            }
        });
        _satellite.track(step);
    }
    s.clearVars();
}
